<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HeaderStories (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HeaderStories (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":42,"i2":10,"i3":42,"i4":10,"i5":42,"i6":10,"i7":42,"i8":10,"i9":42,"i10":10,"i11":42,"i12":10,"i13":42,"i14":10,"i15":10,"i16":42,"i17":10,"i18":42,"i19":10,"i20":42,"i21":10,"i22":10,"i23":42,"i24":10,"i25":42,"i26":10,"i27":10,"i28":10,"i29":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HeaderStories.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/FieldsImpl.html"
               title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/HWPFList.html"
               title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/usermodel/HeaderStories.html"
               target="_top">Frames</a></li>
        <li><a href="HeaderStories.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwpf.usermodel</div>
    <h2 title="Class HeaderStories" class="title">Class HeaderStories</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hwpf.usermodel.HeaderStories</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">HeaderStories</span>
extends java.lang.Object</pre>
                <div class="block">A HeaderStory is a Header, a Footer, or footnote/endnote
                    separator.
                    All the Header Stories get stored in the same Range in the
                    document, and this handles getting out all the individual
                    parts.

                    WARNING - you shouldn't change the headers or footers,
                    as offsets are not yet updated!
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#HeaderStories-org.apache.poi.hwpf.HWPFDocument-">HeaderStories</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;doc)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a
                                    href="javascript:show(32);">Deprecated Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#areFieldsStripped--">areFieldsStripped</a></span>()</code>
                                    <div class="block">Are fields currently being stripped from
                                        the text that this <a
                                                href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html"
                                                title="class in org.apache.poi.hwpf.usermodel"><code>HeaderStories</code></a>
                                        returns?
                                        Default is false, but can be changed
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getEndnoteContNote--">getEndnoteContNote</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">3.8 beta 4</span></div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getEndnoteContNoteSubrange--">getEndnoteContNoteSubrange</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getEndnoteContSeparator--">getEndnoteContSeparator</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">3.8 beta 4</span></div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getEndnoteContSeparatorSubrange--">getEndnoteContSeparatorSubrange</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getEndnoteSeparator--">getEndnoteSeparator</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">3.8 beta 4</span></div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getEndnoteSeparatorSubrange--">getEndnoteSeparatorSubrange</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getEvenFooter--">getEvenFooter</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">3.8 beta 4</span></div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getEvenFooterSubrange--">getEvenFooterSubrange</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getEvenHeader--">getEvenHeader</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">3.8 beta 4</span></div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getEvenHeaderSubrange--">getEvenHeaderSubrange</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getFirstFooter--">getFirstFooter</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">3.8 beta 4</span></div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getFirstFooterSubrange--">getFirstFooterSubrange</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getFirstHeader--">getFirstHeader</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">3.8 beta 4</span></div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getFirstHeaderSubrange--">getFirstHeaderSubrange</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getFooter-int-">getFooter</a></span>(int&nbsp;pageNumber)</code>
                                    <div class="block">Returns the correct, defined footer for the given
                                        one based page
                                    </div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getFootnoteContNote--">getFootnoteContNote</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">3.8 beta 4</span></div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getFootnoteContNoteSubrange--">getFootnoteContNoteSubrange</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getFootnoteContSeparator--">getFootnoteContSeparator</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">3.8 beta 4</span></div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getFootnoteContSeparatorSubrange--">getFootnoteContSeparatorSubrange</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getFootnoteSeparator--">getFootnoteSeparator</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">3.8 beta 4</span></div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getFootnoteSeparatorSubrange--">getFootnoteSeparatorSubrange</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getHeader-int-">getHeader</a></span>(int&nbsp;pageNumber)</code>
                                    <div class="block">Returns the correct, defined header for the given
                                        one based page
                                    </div>
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getOddFooter--">getOddFooter</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">3.8 beta 4</span></div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getOddFooterSubrange--">getOddFooterSubrange</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getOddHeader--">getOddHeader</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">3.8 beta 4</span></div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getOddHeaderSubrange--">getOddHeaderSubrange</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/hwpf/model/PlexOfCps.html"
                                        title="class in org.apache.poi.hwpf.model">PlexOfCps</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getPlcfHdd--">getPlcfHdd</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i28" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#getRange--">getRange</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i29" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#setAreFieldsStripped-boolean-">setAreFieldsStripped</a></span>(boolean&nbsp;stripFields)</code>
                                    <div class="block">Should fields (eg macros) be stripped from
                                        the text that this class returns?
                                        Default is not to strip.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HeaderStories-org.apache.poi.hwpf.HWPFDocument-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HeaderStories</h4>
                                <pre>public&nbsp;HeaderStories(<a
                                        href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;doc)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getFootnoteSeparator--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFootnoteSeparator</h4>
                                <pre>@Deprecated
public&nbsp;java.lang.String&nbsp;getFootnoteSeparator()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">3.8 beta 4</span></div>
                            </li>
                        </ul>
                        <a name="getFootnoteContSeparator--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFootnoteContSeparator</h4>
                                <pre>@Deprecated
public&nbsp;java.lang.String&nbsp;getFootnoteContSeparator()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">3.8 beta 4</span></div>
                            </li>
                        </ul>
                        <a name="getFootnoteContNote--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFootnoteContNote</h4>
                                <pre>@Deprecated
public&nbsp;java.lang.String&nbsp;getFootnoteContNote()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">3.8 beta 4</span></div>
                            </li>
                        </ul>
                        <a name="getEndnoteSeparator--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEndnoteSeparator</h4>
                                <pre>@Deprecated
public&nbsp;java.lang.String&nbsp;getEndnoteSeparator()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">3.8 beta 4</span></div>
                            </li>
                        </ul>
                        <a name="getEndnoteContSeparator--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEndnoteContSeparator</h4>
                                <pre>@Deprecated
public&nbsp;java.lang.String&nbsp;getEndnoteContSeparator()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">3.8 beta 4</span></div>
                            </li>
                        </ul>
                        <a name="getEndnoteContNote--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEndnoteContNote</h4>
                                <pre>@Deprecated
public&nbsp;java.lang.String&nbsp;getEndnoteContNote()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">3.8 beta 4</span></div>
                            </li>
                        </ul>
                        <a name="getFootnoteSeparatorSubrange--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFootnoteSeparatorSubrange</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                                    title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;getFootnoteSeparatorSubrange()</pre>
                            </li>
                        </ul>
                        <a name="getFootnoteContSeparatorSubrange--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFootnoteContSeparatorSubrange</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                                    title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;getFootnoteContSeparatorSubrange()</pre>
                            </li>
                        </ul>
                        <a name="getFootnoteContNoteSubrange--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFootnoteContNoteSubrange</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                                    title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;getFootnoteContNoteSubrange()</pre>
                            </li>
                        </ul>
                        <a name="getEndnoteSeparatorSubrange--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEndnoteSeparatorSubrange</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                                    title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;getEndnoteSeparatorSubrange()</pre>
                            </li>
                        </ul>
                        <a name="getEndnoteContSeparatorSubrange--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEndnoteContSeparatorSubrange</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                                    title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;getEndnoteContSeparatorSubrange()</pre>
                            </li>
                        </ul>
                        <a name="getEndnoteContNoteSubrange--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEndnoteContNoteSubrange</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                                    title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;getEndnoteContNoteSubrange()</pre>
                            </li>
                        </ul>
                        <a name="getEvenHeader--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEvenHeader</h4>
                                <pre>@Deprecated
public&nbsp;java.lang.String&nbsp;getEvenHeader()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">3.8 beta 4</span></div>
                            </li>
                        </ul>
                        <a name="getOddHeader--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOddHeader</h4>
                                <pre>@Deprecated
public&nbsp;java.lang.String&nbsp;getOddHeader()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">3.8 beta 4</span></div>
                            </li>
                        </ul>
                        <a name="getFirstHeader--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFirstHeader</h4>
                                <pre>@Deprecated
public&nbsp;java.lang.String&nbsp;getFirstHeader()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">3.8 beta 4</span></div>
                            </li>
                        </ul>
                        <a name="getEvenHeaderSubrange--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEvenHeaderSubrange</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                                    title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;getEvenHeaderSubrange()</pre>
                            </li>
                        </ul>
                        <a name="getOddHeaderSubrange--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOddHeaderSubrange</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                                    title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;getOddHeaderSubrange()</pre>
                            </li>
                        </ul>
                        <a name="getFirstHeaderSubrange--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFirstHeaderSubrange</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                                    title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;getFirstHeaderSubrange()</pre>
                            </li>
                        </ul>
                        <a name="getHeader-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHeader</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getHeader(int&nbsp;pageNumber)</pre>
                                <div class="block">Returns the correct, defined header for the given
                                    one based page
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>pageNumber</code> - The one based page number</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getEvenFooter--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEvenFooter</h4>
                                <pre>@Deprecated
public&nbsp;java.lang.String&nbsp;getEvenFooter()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">3.8 beta 4</span></div>
                            </li>
                        </ul>
                        <a name="getOddFooter--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOddFooter</h4>
                                <pre>@Deprecated
public&nbsp;java.lang.String&nbsp;getOddFooter()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">3.8 beta 4</span></div>
                            </li>
                        </ul>
                        <a name="getFirstFooter--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFirstFooter</h4>
                                <pre>@Deprecated
public&nbsp;java.lang.String&nbsp;getFirstFooter()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">3.8 beta 4</span></div>
                            </li>
                        </ul>
                        <a name="getEvenFooterSubrange--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEvenFooterSubrange</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                                    title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;getEvenFooterSubrange()</pre>
                            </li>
                        </ul>
                        <a name="getOddFooterSubrange--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOddFooterSubrange</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                                    title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;getOddFooterSubrange()</pre>
                            </li>
                        </ul>
                        <a name="getFirstFooterSubrange--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFirstFooterSubrange</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                                    title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;getFirstFooterSubrange()</pre>
                            </li>
                        </ul>
                        <a name="getFooter-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFooter</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getFooter(int&nbsp;pageNumber)</pre>
                                <div class="block">Returns the correct, defined footer for the given
                                    one based page
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>pageNumber</code> - The one based page number</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRange--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRange</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                                    title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;getRange()</pre>
                            </li>
                        </ul>
                        <a name="getPlcfHdd--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPlcfHdd</h4>
                                <pre>protected&nbsp;<a href="../../../../../org/apache/poi/hwpf/model/PlexOfCps.html"
                                                       title="class in org.apache.poi.hwpf.model">PlexOfCps</a>&nbsp;getPlcfHdd()</pre>
                            </li>
                        </ul>
                        <a name="areFieldsStripped--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>areFieldsStripped</h4>
                                <pre>public&nbsp;boolean&nbsp;areFieldsStripped()</pre>
                                <div class="block">Are fields currently being stripped from
                                    the text that this <a
                                            href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html"
                                            title="class in org.apache.poi.hwpf.usermodel"><code>HeaderStories</code></a>
                                    returns?
                                    Default is false, but can be changed
                                </div>
                            </li>
                        </ul>
                        <a name="setAreFieldsStripped-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setAreFieldsStripped</h4>
                                <pre>public&nbsp;void&nbsp;setAreFieldsStripped(boolean&nbsp;stripFields)</pre>
                                <div class="block">Should fields (eg macros) be stripped from
                                    the text that this class returns?
                                    Default is not to strip.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>stripFields</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HeaderStories.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/FieldsImpl.html"
               title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/HWPFList.html"
               title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/usermodel/HeaderStories.html"
               target="_top">Frames</a></li>
        <li><a href="HeaderStories.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
